/**
 * @file        JWT插件封装
 * @author      hotok
 * @date        2025-06-28
 * @lastEditor  hotok
 * @lastEditTime 2025-06-28
 * @description 封装Elysia JWT插件，统一配置密钥
 */

import { jwt } from '@elysiajs/jwt';
import { jwtConfig } from '@/config/jwt.config';

export const jwtPlugin = jwt({
    name: 'jwt',
    secret: jwtConfig.secret,
    exp: jwtConfig.exp,
});
